[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Graphics' (#lcl)

# TCustomBitmap.Destroy

Destructor for the class instance.

## Declaration

Source position: graphics.pp line 1417

`public destructor TCustomBitmap.Destroy; override;`

## Description

Destroy is the overridden destructor for the class instance. Destroy calls FreeMaskHandle to free the handle in MaskHandle (when assigned). Destroy calls the inherited destructor prior to exiting from the method.

## See also

TCustomBitmap.FreeMaskHandle |  | FreeMaskHandle - method to release Mask handle.
TRasterImage.MaskHandle |  | The handle allocated for the Bitmap Mask.
TRasterImage.Destroy |  | Destroy is the destructor for TRasterImage: frees the canvas, and releases image then calls inherited Destroy.